barsLists

The segments endpoint provides access to lists where you can organize and manage contacts.

Creates a Segment resource.

post

Creates a Segment resource.

Authorizations
Body
idstring · nullableOptional
titlestring · nullableRequired
iconstring · nullableRequired
sequenceinteger · nullableOptional
Responses
post
/segments

Retrieves a Segment resource.

get

Retrieves a Segment resource.

Authorizations
Path parameters
idstringRequired

Segment identifier

Responses
chevron-right
200

Segment resource

get
/segments/{id}

Updates the Segment resource.

patch

Updates the Segment resource.

Authorizations
Path parameters
idstringRequired

Segment identifier

Body
idstring · nullableOptional
titlestring · nullableOptional
iconstring · nullableOptional
sequenceinteger · nullableOptional
Responses
chevron-right
200

Segment resource updated

patch
/segments/{id}

Replaces the Segment resource.

put

Replaces the Segment resource.

Authorizations
Path parameters
idstringRequired

Segment identifier

Body
idstring · nullableOptional
titlestring · nullableRequired
iconstring · nullableRequired
sequenceinteger · nullableOptional
Responses
chevron-right
200

Segment resource updated

put
/segments/{id}

Retrieves the collection of Segment resources.

get

Retrieves the collection of Segment resources.

Authorizations
Query parameters
pageintegerOptional

The collection page number

Default: 1
itemsPerPageinteger · max: 30Optional

The number of items per page

Default: 15
Responses
chevron-right
200

Segment collection

Segment.jsonld collection.

get
/segments

Last updated